package com.testdb.webdb;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.domain.EntityScan;
import org.springframework.data.jpa.repository.config.EnableJpaRepositories;

@SpringBootApplication
@EnableJpaRepositories("com.testdb.repository")
@EntityScan("com.testdb.model")
public class WebdbApplication {

	public static void main(String[] args) {
		SpringApplication.run(WebdbApplication.class, args);
	}

}
